Payment mode frontend

Retrieving all the payment modes

get

Retrieves a list of configured payment modes for a given tenant with publicly available properties (excluding all secrets, signatures etc). The endpoint should be used by a frontend application to fetch all the possible payment methods configured for a particular tenant. No scope is required.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

Your Emporix tenant's name. Note: The tenant name should always be written in lowercase.

Pattern: ^[a-z][a-z0-9]+$
Responses
chevron-right
200

Payment modes configured in the payment-gateway service for a given tenant that returns only properties publicly available.

application/json
idstringOptional

Indicates an autogenerated identifier of a given payment method.

codestringOptional

Indicates a code of a given method.

integrationTypestring · enumOptional

Indicates a type of the mode integration.

Possible values:
paymentMethodTypestringOptional

The field is specific for the Spreedly integration. Example values: credit_card, sprel, paypal.

environmentKeystringOptional

The field is specific for the Spreedly integration and it indicates a Spreedly environment used for the mode configuration.

scaProviderTokenstringOptional

The field is specific for the Spreedly integration. Strong Customer Authentication token.

javascriptUrlstringOptional

The field is specific for the Tokenization integration.

publicKeystringOptional

The field is specific for the Unzer integration.

threatMetrixIdstringOptional

The field is specific for the Unzer integration.

receiverIdstringOptional

The field is specific for the Saferpay integration.

get
/payment-gateway/{tenant}/paymentmodes/frontend

Retrieving a single payment mode

get

Retrieves a single payment mode for a given tenant with publicly available properties (excluding all secrets, signatures etc). The endpoint should be used by a frontend application to fetch a payment method configuration for a particular tenant. No scope is required.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

Your Emporix tenant's name. Note: The tenant name should always be written in lowercase.

Pattern: ^[a-z][a-z0-9]+$
idstringRequired

Unique identifier of a payment mode.

Responses
chevron-right
200

Payment modes configured in the payment-gateway service for a given tenant that returns only properties publicly available.

application/json
idstringOptional

Indicates an autogenerated identifier of a given payment method.

codestringOptional

Indicates a code of a given method.

integrationTypestring · enumOptional

Indicates a type of the mode integration.

Possible values:
paymentMethodTypestringOptional

The field is specific for the Spreedly integration. Example values: credit_card, sprel, paypal.

environmentKeystringOptional

The field is specific for the Spreedly integration and it indicates a Spreedly environment used for the mode configuration.

scaProviderTokenstringOptional

The field is specific for the Spreedly integration. Strong Customer Authentication token.

javascriptUrlstringOptional

The field is specific for the Tokenization integration.

publicKeystringOptional

The field is specific for the Unzer integration.

threatMetrixIdstringOptional

The field is specific for the Unzer integration.

receiverIdstringOptional

The field is specific for the Saferpay integration.

get
/payment-gateway/{tenant}/paymentmodes/frontend/{id}

Last updated

Was this helpful?